Skip to main content

Customers

A Customer is the entity responsible for funding card spending. Customers can be individuals (consumers) or businesses (corporate).

Customer Types

TypeDescription
consumerIndividual person
corporateBusiness entity

Creating a Customer

curl -X POST https://api.useproxy.ai/v1/customers \
  -H "Authorization: Bearer your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "consumer",
    "email": "alice@example.com",
    "name": { "first": "Alice", "last": "Smith" }
  }'

Customer Fields

FieldTypeDescription
typestringconsumer or corporate
emailstringCustomer email address
nameobjectFirst and last name (consumer) or business name (corporate)
statusstringKYC verification status

KYC Verification

Customers must complete KYC (Know Your Customer) verification before issuing cards. The verification status can be:
  • pending - Awaiting verification
  • verified - Approved for card issuance
  • rejected - Verification failed

Default Policies

Customers can set default spending policies that apply to all their agents and cards unless overridden.
{
  "policy": {
    "requireIntent": true,
    "autoApproveBelow": 10000,
    "limits": {
      "perDay": 50000
    }
  }
}

Next Steps